Close

What browser should I use when playing VEGA Conflict on the web?

We recommend that you play on the latest version of of Firefox; Google Chrome has discontinued its support of Unity and as such is no longer a viable option for VEGA Conflict. 

Was this article helpful?
1 out of 5 found this helpful
Follow

Comments